Bug 143776 - system-config-securitylevel checklist undefined
system-config-securitylevel checklist undefined
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2004-12-27 10:05 EST by keith adamson
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 11:39:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description keith adamson 2004-12-27 10:05:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041216 Firefox/1.0 Fedora/1.0-6

Description of problem:
when started:

Traceback (most recent call last):
  File
"/usr/share/system-config-securitylevel/system-config-securitylevel.py",
line 17, in ?
    app = securitylevel.childWindow()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line
87, in __ init__
    self.trustedList = checklist.CheckList(1)
NameError: global name 'checklist' is not defined


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
run system-config-securitylevel
2.
3.
    

Additional info:

fixed by:

--- securitylevel.py.orig       2004-12-23 13:57:30.000000000 -0500
+++ securitylevel.py    2004-12-27 10:04:47.034911000 -0500
@@ -84,14 +84,14 @@

         self.trustedLabel = gtk.Label(_("Trusted devices:"))
         self.trustedLabel.set_alignment(0.0, 0.5)
-        self.trustedList = checklist.CheckList(1)
+        self.trustedList = scs_checklist.CheckList(1)
         self.trustedSW = gtk.ScrolledWindow()
         self.trustedSW.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
         self.trustedSW.set_shadow_type(gtk.SHADOW_IN)
         self.trustedSW.add(self.trustedList)

         self.incomingLabel = gtk.Label(_("Trusted services:"))
-        self.incomingList = checklist.CheckList(1)
+        self.incomingList = scs_checklist.CheckList(1)
         self.incomingSW = gtk.ScrolledWindow()
         self.incomingSW.set_policy(gtk.POLICY_NEVER, gtk.POLICY_NEVER)
         self.incomingSW.set_shadow_type(gtk.SHADOW_IN)

Note You need to log in before you can comment on or make changes to this bug.